Closed Bug 990816 Opened 6 years ago Closed 2 years ago

HTML Validation for Web Compatibility in sumo support forum

Categories

(support.mozilla.org :: Forum, task)

task
Not set

Tracking

(Not tracked)

RESOLVED FIXED

People

(Reporter: guigs, Unassigned, Mentored)

Details

(Whiteboard: u=user c=questions p= s=2013.backlog )

Attachments

(1 file)

44 bytes, text/x-github-pull-request
Details | Review
As Mozilla strives and prides itself in HTML developement and keeping the web open, should we not also have a forum that is HTML 5 validated? 

[https://support.mozilla.org/en-US/questions/992702#answer-551630] These concerns were raised in a support forum question. Please check out the validation here [http://validator.w3.org/unicorn/check?ucn_uri=https%3A%2F%2Fsupport.mozilla.org%2Fen-US%2Fquestions%2F992639%23answer-551039&doctype=Inline&charset=%28detect%20automatically%29&ucn_task=conformance#]
Summary: HTML Validation for Web Compatibility → HTML Validation for Web Compatibility in sumo support forum
oops.

URI: https://support.mozilla.org/en-US/questions/992639		a
225 	61 	</span> 	Stray end tag span.

Adding mentor bits.
Whiteboard: u=user c=questions p= s=2013.backlog [mentor=r1cky]
OS: Mac OS X → All
Hardware: x86 → All
Not sure are there other errors also if someone checks. I guess even one error will cause a cascade of error reports in a validator but I  do  not understand much about HTML  

URI: https://support.mozilla.org/en-US/questions/firefox
228    8       </div> 	End tag div seen, but there were open elements.

That was the first of 23 listed errors
Mentor: rrosario
Whiteboard: u=user c=questions p= s=2013.backlog [mentor=r1cky] → u=user c=questions p= s=2013.backlog
Ricky, I would like to work on this.
(In reply to Aaron Arney from comment #3)
> Ricky, I would like to work on this.

Hi! If you look at the validation error, you will notice we have a <time/> inside of another <time/> which is messed up:
        <div class="asked-on">
          Posted<br>
          <time itemprop="dateCreated" datetime="2014-03-30 22:59:54"><time datetime="2014-03-31T01:59:54-04:00">3/31/14 1:59 AM</time></time>
        </div>


Have you looked at our documentation on getting started as a contributor to the codebase?
(In reply to Ricky Rosario [:rrosario, :r1cky] from comment #4)
> (In reply to Aaron Arney from comment #3)
> > Ricky, I would like to work on this.
> 
> Hi! If you look at the validation error, you will notice we have a <time/>
> inside of another <time/> which is messed up:
>         <div class="asked-on">
>           Posted<br>
>           <time itemprop="dateCreated" datetime="2014-03-30 22:59:54"><time
> datetime="2014-03-31T01:59:54-04:00">3/31/14 1:59 AM</time></time>
>         </div>
> 
> 
> Have you looked at our documentation on getting started as a contributor to
> the codebase?

Yes, although just to be sure I read the correct information could you guide me to a specific page? I have forked the repository and had already fixed the error you mentioned locally. I did have a few questions, should I ask them here or use IRC?
(In reply to Aaron Arney from comment #5)
> Yes, although just to be sure I read the correct information could you guide
> me to a specific page?
Oops, I meant to link to http://kitsune.readthedocs.org/en/latest/hacking_howto.html

> I have forked the repository and had already fixed
> the error you mentioned locally.
Sounds like you have made good progress already.

> I did have a few questions, should I ask them here or use IRC?
IRC is probably the easiest, but either is fine. All of us devs that work on this project hang out in #sumodev.
Attached file Proposed Changes
putting a flag on behalf of Aaron. 

Ricky, any update?
Flags: needinfo?(rrosario)
(In reply to akshaytiwari.003 from comment #8)
> putting a flag on behalf of Aaron. 
> 
> Ricky, any update?

Yep. The discussion is in the Pull Request.
Flags: needinfo?(rrosario)
Closed via pull https://github.com/mozilla/kitsune/pull/2407
Status: NEW → RESOLVED
Closed: 2 years ago
Resolution: --- → FIXED
You need to log in before you can comment on or make changes to this bug.